SSL_CTX_free(3)

NAME
SSL_CTX_free - free an allocated SSL_CTX object

SYNOPSIS
 #include <openssl/ssl.h>
 void SSL_CTX_free(SSL_CTX *ctx);

DESCRIPTION
SSL_CTX_free() decrements the reference count of ctx, and removes the SSL_CTX object pointed to by ctx and frees up the allocated memory if the the reference count has reached 0.

It also calls the free()ing procedures for indirectly affected items, if applicable: the session cache, the list of ciphers, the list of Client CAs, the certificates and keys.

RETURN VALUES
SSL_CTX_free() does not provide diagnostic information.

SEE ALSO
SSL_CTX_new(3), ssl(3)